## org.mortbay.cometd.continuation
Class ContinuationClient

    java.lang.Object
      org.mortbay.cometd.ClientImpl
          org.mortbay.cometd.continuation.ContinuationClient

All Implemented Interfaces:
  Client

    public class ContinuationClient

extends ClientImpl

Extension of `ClientImpl` that uses `Continuation`s to resume clients waiting for messages. Continuation clients are used for remote clients and have removed if they are not accessed within an idle timeout (@link `ContinuationBayeux#_clientTimer`).

Author:
  gregw

Field Summary
`Timeout.Task` `_timeout`

Constructor Summary
`protected` `ContinuationClient(ContinuationBayeux bayeux)`

Method Summary
`void` `access()`
`Continuation` `getContinuation()`
`boolean` `isLocal()`
`long` `lastAccessed()`
`void` `remove(boolean wasTimeout)`
`void` `resume()` Called by deliver to resume anything waiting on this client.
`void` `setContinuation(Continuation continuation)`

Methods inherited from class org.mortbay.cometd.ClientImpl

`addListener, addSubscription, deliver, deliver, doDelivery, endBatch, equals, getAdviceVersion, getBrowserId, getConnectionType, getId, getListener, getMessages, getTimeout, hasMessages, isJSONCommented, publish, removeListener, removeSubscription, responded, responsePending, setAdviceVersion, setBrowserId, setConnectionType, setId, setJSONCommented, setListener, setTimeout, startBatch, subscribe, takeMessage, takeMessages, toString, unsubscribe, unsubscribeAll`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _timeout

    public transient Timeout.Task _timeout

Constructor Detail

### ContinuationClient

    protected ContinuationClient(ContinuationBayeux bayeux)

Method Detail

### setContinuation

    public void setContinuation(Continuation continuation)

### getContinuation

    public Continuation getContinuation()

### resume

    public void resume()

  Description copied from class: `ClientImpl`
  Called by deliver to resume anything waiting on this client.

  Overrides:
    `resume` in class `ClientImpl`

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `Client`
  Overrides:
    `isLocal` in class `ClientImpl`
  Returns:
    True if the client is local. False if this client is either a remote HTTP client or a java client to a remote server.

### access

    public void access()

### lastAccessed

    public long lastAccessed()

### remove

    public void remove(boolean wasTimeout)

  Overrides:
    `remove` in class `ClientImpl`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.